
<!-- userInfo  个人信息 -->
<template>
  <div class="minBox">

    <van-cell-group class="pt20">
      <!-- <van-field class="needsclick" @click="show_pic" :border="false" center label="头像">
        <div class="tr" slot="input">
          <img class="avatar" :src="info.avatar | avatar" alt="">
        </div>
      </van-field> -->
      <van-field :border="false" clearable required label="昵称" input-align="right" v-model="info.nickname" placeholder="请输入昵称" />

      <van-field :border="false" center label="性别">

        <van-radio-group :checked-color="m_color"  v-model="info.gender" class=" flex flex-m flex-r" slot="input">
          <van-radio class="mr10" name="1">男</van-radio>
          <van-radio class="mr10" name="2">女</van-radio>
        </van-radio-group>

      </van-field>
    </van-cell-group>

    <upload ref="upload" @error="uploadError" @success="uploadSuccess" />
   <div class="pl10 pr10 pt20">
       <div class="m_btn mt50" @click="submit">提交</div>
   </div>
   
  </div>
</template>

<script>
import { coverObj } from '@/utils'
import upload from "@/components/upload";
export default {
  name: 'userInfo',
  components: { upload },
  data() {
    return {
      info: {
        nickname: '',
      
        gender: '',
      }
    }
  },
  created() {
    this.init()
  },
  methods: {
    //初始化方法
    init() {
      this.getUserinfo().then(res => {
        this.info = coverObj(this.info, res.data)
        console.log(this.info)
      })
    },

    show_pic() {
       this.$refs['upload'].addbtn()
    },

    uploadSuccess(res) {
      this.m_toast(this.$t('uploadSuccess'))

      
      this.info.avatar = res.url

    },

    uploadError(res) {
      // this.m_hideLoading()
      //上传失败
      this.m_toast(this.$t('uploadErr'))
    },

    submit() {
      this.m_loading()
      this.api.info_set(this.info).then(res => {
        this.m_hideLoading()
        this.getUserinfo()
        this.m_toast('操作成功')
        setTimeout(() => {
          this.back()
        }, 1000)
      })
    },
  },
}

</script>
<style lang='scss' scoped>
.minBox {
  height: 100%;
  background: #fff;
}

.avatar {
  width: 1rem;
  height: 1rem;
}
</style>